﻿USE master
EXECUTE dbo.sp_configure 'clr enabled',1
GO

USE master
RECONFIGURE WITH OVERRIDE
GO

ALTER DATABASE MMDBTest SET TRUSTWORTHY ON; 
GO

USE MMDBTest
GO
IF((SELECT COUNT(*) FROM sys.types WHERE name = 'CNPJ') > 0)
	BEGIN
		DROP TYPE CNPJ;
	END
GO
IF((SELECT COUNT(*) FROM sys.types WHERE name = 'CPF') > 0)
	BEGIN
		DROP TYPE CPF;
	END
GO
IF((SELECT COUNT(*) FROM sys.types WHERE name = 'CPFCNPJ') > 0)
	BEGIN
		DROP TYPE CPFCNPJ;
	END
GO
IF((SELECT COUNT(*) FROM sys.assemblies WHERE name = 'MichelMax.DataTypes.CPFCNPJ') > 0)
	BEGIN
		DROP ASSEMBLY [MichelMax.DataTypes.CPFCNPJ];
	END
GO

DECLARE @sDLLLocation AS VARCHAR(255);
SET @sDLLLocation = 'C:\SQL Deploy\MichelMax.DataTypes.CPFCNPJ.dll';
CREATE ASSEMBLY [MichelMax.DataTypes.CPFCNPJ] 
FROM @sDLLLocation
WITH
PERMISSION_SET = SAFE;
GO

USE MMDBTest
GO

CREATE TYPE CNPJ 
EXTERNAL NAME [MichelMax.DataTypes.CPFCNPJ].[CNPJ];
GO

CREATE TYPE CPF 
EXTERNAL NAME [MichelMax.DataTypes.CPFCNPJ].[CPF];
GO

CREATE TYPE CPFCNPJ 
EXTERNAL NAME [MichelMax.DataTypes.CPFCNPJ].[CPFCNPJ];
GO
